function Pandoc(doc)
    for _, el in pairs(doc.blocks) do
        if el.t == "Div" then

            local hasFontClass = false
            local fontFamily = ''
            local hasAlinhamentoClass = false
            local alinhamento = ''
            local hasFontSizeClass = false
            local fontSize = ''
            local hasEntreLinhasClass = false
            local entreLinhas = ''
           

            for _, class in ipairs(el.classes) do
                if class == "ebgaramond" then
                    hasFontClass = true
                    fontFamily = '\\ebgaramond'
                    break
                elseif class == "sourcesans" then
                    hasFontClass = true
                    fontFamily = '\\sourcesans'
                    break
                elseif class == "sourcecode" then
                    hasFontClass = true
                    fontFamily = '\\sourcecode'
                    break
                elseif class == "sourceserif" then
                    hasFontClass = true
                    fontFamily = '\\sourceserif'
                    break
                elseif class == "opensans" then
                    hasFontClass = true
                    fontFamily = '\\opensans'
                    break
                end
            end

            for _, class in ipairs(el.classes) do
                if class == "centralizado" then
                    hasAlinhamentoClass = true
                    alinhamento = '\\centralizado'
                    break
                elseif class == "esquerda" then
                    hasAlinhamentoClass = true
                    alinhamento = '\\esquerda'
                    break
                elseif class == "direita" then
                    hasAlinhamentoClass = true
                    alinhamento = '\\direita'
                    break
                elseif class == "justificado" then
                    hasAlinhamentoClass = true
                    alinhamento = '\\justificado'
                    break
                end
            end

            for _, class in ipairs(el.classes) do
                if class == "fonte_8" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{8pt}{10pt}\\selectfont'
                    break
                elseif class == "fonte_9" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{9pt}{11pt}\\selectfont'
                    break
                elseif class == "fonte_10" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{10pt}{12pt}\\selectfont'
                    break
                elseif class == "fonte_11" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{11pt}{13pt}\\selectfont'
                    break
                elseif class == "fonte_12" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{12pt}{14pt}\\selectfont'
                    break
                elseif class == "fonte_13" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{13pt}{15pt}\\selectfont'
                    break
                elseif class == "fonte_14" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{14pt}{16pt}\\selectfont'
                    break
                elseif class == "fonte_15" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{15pt}{17pt}\\selectfont'
                    break
                elseif class == "fonte_16" then
                    hasFontSizeClass = true
                    fontSize = '\\fontsize{16pt}{18pt}\\selectfont'
                    break
                end
            end

            for _, class in ipairs(el.classes) do
                if class == "espacamento_simples" then
                    hasEntreLinhasClass = true
                    entreLinhas = '\\setstretch{1.2}'
                    break
                elseif class == "espacamento_duplo" then
                    hasEntreLinhasClass = true
                    entreLinhas = '\\setstretch{1.5}'
                    break
                end
            end

            if hasFontClass then
                 -- Adiciona o conteúdo antes e depois do elemento                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          
                table.insert(el.content, 1, pandoc.RawInline("latex", fontFamily))
                table.insert(el.content, pandoc.RawInline("latex", "\\sourcesans"))

            end

            if hasAlinhamentoClass then
                -- Adiciona o conteúdo antes e depois do elemento
                table.insert(el.content, 1, pandoc.RawInline("latex", alinhamento))
                table.insert(el.content, pandoc.RawInline("latex", "\\justificado"))
            end

            if hasFontSizeClass then
                -- Adiciona o conteúdo antes e depois do elemento
                table.insert(el.content, 1, pandoc.RawInline("latex", fontSize))
                table.insert(el.content, pandoc.RawInline("latex", "\\normalsize"))
            end

            if hasEntreLinhasClass then
                -- Adiciona o conteúdo antes e depois do elemento
                table.insert(el.content, 1, pandoc.RawInline("latex", entreLinhas))
                table.insert(el.content, pandoc.RawInline("latex", "\\setstretch{1.5}"))
            end

        end
    end

    return doc
end

